Bug 7393 - CCP Compression fails; connection becomes useless
CCP Compression fails; connection becomes useless
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-28 12:39 EST by Tyson Bigler
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-01 07:40:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tyson Bigler 1999-11-28 12:39:46 EST
Since upgrading to 6.1 I have been having massive trouble with CCP
compression.  It took a while to figure out what the problem was, but it
appears to be CCP...  The problem goes away when I add noccp
to /etc/ppp/options, and returns when I reenable it.

I have two different dial-in accounts (ISP & work), and both have the same
problem.  I know that the RAS servers are different, so the problem must
be my installation.

The connection will work fine for, oh, saw five minutes or so depending on
how heavy I'm hitting it.  Then it'll just "hang".  tcpdump shows that
there's still data being exchanged, but I can't do anything (web, mail,
news, etc).  Once the connection hangs PPP starts spewing the following
debug messages:

Nov 28 11:33:12 lancelot pppd[3425]: sent [CCP ResetReq id=0x5]
Nov 28 11:33:12 lancelot pppd[3425]: rcvd [Compressed data] 04 7f 0b 40 f2
98 0a cf ...
Nov 28 11:33:12 lancelot pppd[3425]: rcvd [CCP ResetAck id=0x5]
Nov 28 11:33:16 lancelot pppd[3425]: rcvd [Compressed data] 00 00 17 91 40
00 56 e2 ...
Nov 28 11:33:16 lancelot pppd[3425]: sent [CCP ResetReq id=0x6]
Nov 28 11:33:16 lancelot pppd[3425]: rcvd [Compressed data] 00 01 0b 40 f2
98 0a b9 ...
Nov 28 11:33:16 lancelot pppd[3425]: rcvd [CCP ResetAck id=0x6]
Nov 28 11:33:25 lancelot pppd[3425]: rcvd [Compressed data] 00 00 17 91 40
00 56 e3 ...
Nov 28 11:33:25 lancelot pppd[3425]: sent [CCP ResetReq id=0x7]
Nov 28 11:33:25 lancelot pppd[3425]: rcvd [Compressed data] 00 01 0b 40 f2
98 0a b9 ...
Nov 28 11:33:25 lancelot pppd[3425]: rcvd [CCP ResetAck id=0x7]
Nov 28 11:33:41 lancelot pppd[3425]: rcvd [Compressed data] 00 00 17 91 40
00 56 e0 ...
Nov 28 11:33:41 lancelot pppd[3425]: sent [CCP ResetReq id=0x8]
Nov 28 11:33:41 lancelot pppd[3425]: rcvd [Compressed data] 00 01 0b 40 f2
98 0a b9 ...
Nov 28 11:33:41 lancelot pppd[3425]: rcvd [CCP ResetAck id=0x8]


Pertinent info:

ppp-2.3.10-3
initscripts-4.63-1

I normally compile my own kernel, but haven't done so on this box yet, so
I'm running the stock 6.1 kernel (2.2.12-20).

I can limp along with noccp, but this makes a slow 56k connection even
more painful!
Comment 1 Tyson Bigler 1999-11-30 22:53:59 EST
please close this "bug"...

i complained to my phone service provider and they detected a problem on the
line...  a technician came out and did something (hey, i was at work ;-D) they
must have corrected my problem.  i re-enabled ccp and things seem to be working
normally.

sorry....  i trouble-shot everything i had control over...

<sheepish grin>

Note You need to log in before you can comment on or make changes to this bug.